FreeBSD : nginx -- inject commands into SSL session vulnerability (77b784bb-3dc6-11e4-b191-f0def16c5c1b)

Medium Nessus Plugin ID 77717


The remote FreeBSD host is missing one or more security-related updates.


The nginx project reports :

Security: it was possible to reuse SSL sessions in unrelated contexts if a shared SSL session cache or the same TLS session ticket key was used for multiple 'server' blocks (CVE-2014-3616).


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 77717

File Name: freebsd_pkg_77b784bb3dc611e4b191f0def16c5c1b.nasl

Version: $Revision: 1.2 $

Type: local

Published: 2014/09/17

Modified: 2014/12/09

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:nginx, p-cpe:/a:freebsd:freebsd:nginx-devel, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2014/09/16

Vulnerability Publication Date: 2014/09/16

Reference Information

CVE: CVE-2014-3616